Package org.mockserver.matchers
Class FuzzyMatcher
java.lang.Object
Deterministic fuzzy / similarity body matcher.
Matches when the request body is at least threshold similar to the
expected value, where similarity is the normalised Jaro-Winkler ratio in the
range [0.0, 1.0] computed by StringSimilarity. Unlike the
LLM-based semantic matcher this is fully deterministic and requires no
external service.
- Author:
- jamesdbloom
-
Method Summary
Modifier and TypeMethodDescriptionString[]booleanisBlank()booleanmatches(MatchDifference context, String matched) Methods inherited from class org.mockserver.matchers.NotMatcher
notMatcherMethods inherited from class org.mockserver.model.ObjectWithReflectiveEqualsHashCodeToString
equals, hashCode, toString
-
Method Details
-
matches
-
isBlank
public boolean isBlank() -
fieldsExcludedFromEqualsAndHashCode
- Overrides:
fieldsExcludedFromEqualsAndHashCodein classObjectWithReflectiveEqualsHashCodeToString
-